<?php
/**
 * Close button style
 *
 * @package wp-viral-click
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->setting;

$classid  = '.ipjck-widget-' . $this->widget->ID;
$bgcolor  = $st->getSetting( 'close_bgcolor', '#f9f9f9' );
$color    = $st->getSetting( 'close_color', '#333333' );
$bowidth  = $st->getSetting( 'close_border_width' );
$bocolor  = $st->getSetting( 'close_border_color', '#dddddd' );
?>

<style>
<?php echo $classid; ?> .ipjck-close-button {
  background-color: <?php echo $bgcolor ?>;
  color: <?php echo $color; ?>;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}
</style>
<div class="ipjck-widget-close">
  <a href="#" class="ipjck-close-button">
    <i class="ipjck-fa ipjck-fa-times"></i>
  </a>
</div>
